Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all reports of the report settings.

List all reports of the report settings. Load architecture reports settings

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/preferences/architecture/reports
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Antworten
200

All architecture report settings

Array von ArchitectureReportSetting
activatedActionStamperforderlich
Eigenschaften anzeigen
instantstring<date-time>erforderlich
userIdstringerforderlich
reportKeyArchitectureReportTypeerforderlich
Erlaubt:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
requiredFeaturesstring[]erforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/preferences/architecture/reports' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "reportKey": "ArchitectureElementsWithInvalidRelationships",
    "requiredFeatures": [
      "string"
    ]
  }
]